﻿
#container-body #body #dtmf{
    text-align: center;
    max-width: 300px;
    margin-left: auto;
    margin-right: auto;
    display: none;
    z-index: 1000;
    position:absolute;
    top:60px;
    left:0;
    right:0;
    bottom:60px;
}
input:focus {
    outline: none;
}
#container-body #body #dtmf .inner-dtmf{
    position: absolute;
    bottom: 0;
    left: 0;
    right: 0;
    margin-bottom: 10px;
}

#container-body #body #dtmf .dtmf-row input{
    margin-bottom: 5px;
    height: 35px;
    width: 300px;
}

#container-body #body #dtmf .dtmf-row button {
    border: 1px solid #737773;
    padding: 5px;
    margin-bottom: 5px;
    margin-left: 10px;
    margin-right: 10px;
}

#body-config, #footer{
    display: none;
}

#body-config, #body {
    position: none;
}

#body-config .config-row select {
    width: 100%;
    overflow: hidden;
    text-overflow: ellipsis;
}

#body-config input {
    width: 97%;
    overflow: hidden;
    text-overflow: ellipsis;
}

.config-row {
    width: 95%;
    padding-top: 5px;
}

#button-dial {
    background: url('../images/dial.png') center no-repeat;
    -moz-background-size: 100%;
    -o-background-size: 100%;
    -webkit-background-size: 100%;
    background-size: 100%;
    background-color: #6BCC2F;
    border: 1px solid #009900;
    display: none;
    position:absolute;
    bottom:10px;
    left:45%;
    right:10px;
    height:50px;
    text-align: center;
}

#button-hangup {
    background: url('../images/hangup.png') center no-repeat;
    -moz-background-size: 100%;
    -o-background-size: 100%;
    -webkit-background-size: 100%;
    background-size: 100%;
    background-color: #D90F0F;
    border: 1px solid #B10E0F;
    display: none;
}

#switch-dtmf {
    display:none;
    float:left;
    border: 1px solid #009900;
    padding: 5px;
    margin-left: 5px;
}

#call-timer {
    float:right;
    height: 50px;
    margin-right: 5px;
}

#videos {
    width: 100%;
    height: 100%;
    background-color:black;
}

    #videos.dtmf video{
        filter: blur(10px);
        -webkit-filter: blur(10px);
        -moz-filter: blur(10px);
        -o-filter: blur(10px);
        -ms-filter: blur(10px);
        opacity:0.7;
    }


.error {
    position: initial;
    text-align: center;
}

#container-body > .error {
    position: initial;
    text-align: center;
    padding: 10px;
    font-size: 22px;
}

.error-modal {
    display: none; /* Hidden by default */
    position: fixed; /* Stay in place */
    z-index: 101; /* Sit on top */
    left: 0;
    top: 0;
    width: 100%; /* Full width */
    height: 100%; /* Full height */
    overflow: auto; /* Enable scroll if needed */
    background-color: rgba(0,0,0,0.1); /* Black w/ opacity */
}

.error-modal-content {
    background-color: #fefefe;
    margin: 15% auto; /* 15% from the top and centered */
    padding: 20px;
    border: 1px solid #888;
    border-radius: 10px 10px;
     box-shadow: 0 4px 8px 0 rgba(0, 0, 0, 0.2), 0 6px 20px 0 rgba(0, 0, 0, 0.19);
    width: 400px; 

}

.error-modal-x{
    height: 25px;
    width: 25px;
    background-color: #bbb;
    border-radius: 50%;
    display: inline-block;
}

#acceptAudioCall {
    background-color: #dc3c3c;
    color: white;
    padding: 10px;
    cursor: pointer;
}

#container-body-storage-api {
    display: none; 
    flex-direction: column;
    align-items: center;
}

#container-body-storage-api #storage-api-request-access {
    background-color: #2e7bcc;
    border: none;
    color: white;
    text-align: center;
    text-decoration: none;
    font-size: 14px !important;
    border-radius: 0;
    min-height: 28px;
    min-width: 56px;
    line-height: normal;
    text-align: center;
    white-space: nowrap;
    overflow: hidden;
    vertical-align: middle;
    text-overflow: ellipsis;
    touch-action: manipulation;
    font-size: inherit;
    cursor: pointer;
}

#container-body-storage-api h3 {
    text-transform: none; 
    font-weight: bold; 
    font-size: 24px;
}

#name:focus, 
#extension:focus, 
#email:focus, 
#services:focus,
#button-dial:focus { 
    outline: none;
    border-color: #719ECE;
    box-shadow: 0 0 5px #719ECE;
}

#services:focus {
    border-bottom-left-radius: 0;
    border-bottom-right-radius: 0;
    transition: all .3s;
}

#name, #extension, #email, #services {
    padding: 0 15px;
    border-radius: 23px;
    border: 1.5px solid rgba(111, 111, 111, .60);
    height: 38px !important;
}